// 第一步 引入vue
import Vue from "vue";
// 第二步 给vue的原型加一个bus属性，值是一个vue的实例
Vue.prototype.$bus = new Vue();

// 第三步 在main.js中引入事件总线：引入bus

/* 
    第四步：发送数据
        this.$bus.$emit("自定义方法名"，传递的参数)
    第五步：接收数据
        this.$bus.$on("自定义方法名"，(val)=>{
            console.log(val,接收数据)
        })

    事件总线：没有关系的组件传参，注意必须是产生事件才能触发
*/
